(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     36080,        791]
NotebookOptionsPosition[     36466,        782]
NotebookOutlinePosition[     36931,        802]
CellTagsIndexPosition[     36888,        799]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["Moment of a Force about an Axis\n", "Title",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["Qingchang Liu, Baoxing Xu \nUniversity of Virginia, 2017-08-28",
  FontSize->16,
  FontColor->GrayLevel[0]],
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]]
}], "Text",
 TextAlignment->Center,
 ExpressionUUID -> "589aefcf-0d51-4da4-bfc5-5203b34fecff"],

Cell["In 3D case, the moment of a Force about a Specified Axis is", "Text",
 ExpressionUUID -> "b6b11d02-93d3-47f1-ba6c-8994881066d4"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   OverscriptBox[
    SubscriptBox[
     RowBox[{"M", " "}], "a"], "\[RightVector]"], "=", 
   RowBox[{
    RowBox[{
     OverscriptBox[
      RowBox[{
       SubscriptBox["u", "a"], " "}], "\[RightVector]"], " ", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{
       OverscriptBox["r", "\[RightVector]"], "\[Times]", 
       OverscriptBox["F", "\[RightVector]"]}], ")"}]}], "=", " ", 
    RowBox[{
     RowBox[{"|", GridBox[{
        {
         OverscriptBox[
          SubscriptBox["u", 
           RowBox[{" ", 
            SubscriptBox["a", "x"]}]], "\[RightVector]"], 
         OverscriptBox[
          SubscriptBox["u", 
           SubscriptBox["a", "y"]], "\[RightVector]"], 
         OverscriptBox[
          SubscriptBox["u", 
           SubscriptBox["a", "z"]], "\[RightVector]"]},
        {
         SubscriptBox["r", "x"], 
         SubscriptBox["r", "y"], 
         SubscriptBox["r", "z"]},
        {
         SubscriptBox["F", "x"], 
         SubscriptBox["F", "y"], 
         SubscriptBox["F", "z"]}
       }], "|"}], "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["u", 
        SubscriptBox["a", "x"]], "(", 
       RowBox[{
        RowBox[{
         SubscriptBox["r", "y"], 
         SubscriptBox["F", "z"]}], "-", 
        RowBox[{
         SubscriptBox["r", "z"], 
         SubscriptBox["F", "y"]}]}], ")"}], "-", 
      RowBox[{
       SubscriptBox["u", 
        SubscriptBox["a", "y"]], "(", 
       RowBox[{
        RowBox[{
         SubscriptBox["r", "x"], 
         SubscriptBox["F", "z"]}], "-", 
        RowBox[{
         SubscriptBox["r", "z"], 
         SubscriptBox["F", "x"]}]}], ")"}], "+", 
      RowBox[{
       SubscriptBox["u", 
        SubscriptBox["a", "z"]], "(", 
       RowBox[{
        RowBox[{
         SubscriptBox["r", "x"], 
         SubscriptBox["F", "y"]}], "-", 
        RowBox[{
         SubscriptBox["r", "y"], 
         SubscriptBox["F", "x"]}]}], ")"}]}]}]}]}], TraditionalForm]],
 ExpressionUUID -> "3571a61c-1352-436f-b9ac-cee3a1cc13e6"]], "Text",
 TextAlignment->Center,
 ExpressionUUID -> "b6b11d02-93d3-47f1-ba6c-8994881066d4"],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", 
     SubscriptBox["a", "x"]], ",", 
    SubscriptBox["u", 
     SubscriptBox["a", "y"]], ",", 
    SubscriptBox["u", 
     SubscriptBox["a", "z"]]}], TraditionalForm]],
  ExpressionUUID -> "3d83c783-89d6-4bd2-a27c-40475e716389"],
 " represent the x,y,z components of the unit vector defining the direction \
of the a axis. ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["r", "x"], ",", 
    SubscriptBox["r", "y"], ",", 
    SubscriptBox["r", "z"]}], TraditionalForm]],
  ExpressionUUID -> "046ae107-c7e0-44e7-ae84-db5b3a239d9f"],
 " represent the x,y,z compoments of the position vector extended from any \
point O on the a axis to any point A on the line of action of the force. ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "x"], ",", 
    SubscriptBox["F", "y"], ",", 
    SubscriptBox["F", "z"]}], TraditionalForm]],
  ExpressionUUID -> "16e9f30d-1cd7-48bc-987b-414bdd629eef"],
 " represent the x,y,z components of the force vector."
}], "Text",
 ExpressionUUID -> "b6b11d02-93d3-47f1-ba6c-8994881066d4"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`enlarge$$ = 1, $CellContext`opa1$$ = 
    1, $CellContext`opa2$$ = 1, $CellContext`opa3$$ = 1, $CellContext`opa4$$ =
     1, $CellContext`opa5$$ = 1, $CellContext`opa6$$ = 
    1, $CellContext`opa7$$ = 1, $CellContext`R$$ = 0.5, $CellContext`xa$$ = 
    2.5, $CellContext`xc$$ = 2, $CellContext`xd$$ = 0, $CellContext`ya$$ = 
    2.5, $CellContext`yc$$ = 0, $CellContext`yd$$ = 1.5, $CellContext`za$$ = 
    1.5, $CellContext`zc$$ = 1, $CellContext`zd$$ = 1.5, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:65e0\:6807\:9898\"", Typeset`specs$$ = {{{
       Hold[$CellContext`enlarge$$], 1, "Plot Range"}, {1, 2, 3, 4}}, {{
       Hold[$CellContext`opa1$$], 1, 
       Row[{"Coordinates visibility", 
         Spacer[20]}]}, {1 -> "On", 0 -> "off"}}, {{
       Hold[$CellContext`xa$$], 2.5, 
       Style[
        Subscript[$CellContext`a, $CellContext`x], Italic]}, -5, 5}, {{
       Hold[$CellContext`ya$$], 2.5, 
       Style[
        Subscript[$CellContext`a, $CellContext`y], Italic]}, -5, 5}, {{
       Hold[$CellContext`za$$], 1.5, 
       Style[
        Subscript[$CellContext`a, $CellContext`z], Italic]}, -5, 5}, {{
       Hold[$CellContext`opa6$$], 1, 
       Text[
        Style[
         Row[{
          "Show Axis \!\(\*\nStyleBox[OverscriptBox[\"Oa\", \
\"\[RightVector]\"],\nFontSize->12]\)", 
           Spacer[55]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`xc$$], 2, 
       Style[
        Subscript[$CellContext`r, $CellContext`x], Italic]}, -5, 5}, {{
       Hold[$CellContext`yc$$], 0, 
       Style[
        Subscript[$CellContext`r, $CellContext`y], Italic]}, -5, 5}, {{
       Hold[$CellContext`zc$$], 1, 
       Style[
        Subscript[$CellContext`r, $CellContext`z], Italic]}, -5, 5}, {{
       Hold[$CellContext`opa2$$], 1, 
       Text[
        Style[
         Row[{"Show Vector \!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", 
           Spacer[48]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa3$$], 1, 
       Text[
        Style[
         Row[{"Show Sphere", 
           Spacer[57]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`R$$], 0.5}, 0.0001, 3}, {{
       Hold[$CellContext`xd$$], 0, 
       Style[
        Subscript[$CellContext`F, $CellContext`x], Italic]}, -5, 5}, {{
       Hold[$CellContext`yd$$], 1.5, 
       Style[
        Subscript[$CellContext`F, $CellContext`y], Italic]}, -5, 5}, {{
       Hold[$CellContext`zd$$], 1.5, 
       Style[
        Subscript[$CellContext`F, $CellContext`z], Italic]}, -5, 5}, {{
       Hold[$CellContext`opa4$$], 1, 
       Text[
        Style[
         Row[{"Show Force \!\(\*OverscriptBox[\(F\), \(\[RightVector]\)]\)", 
           Spacer[50]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa5$$], 1, 
       Text[
        Style[
         Row[{
          "Show Moment \!\(\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(O\)]\)", 
           Spacer[28]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa7$$], 1, 
       Text[
        Style[
         Row[{
          "Show Moment \!\(\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(a\)]\)", 
           Spacer[30]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {
      Hold[
       Grid[{{
          Manipulate`Place[1]}, {
          Manipulate`Place[2]}, {
          Row[{
            Text[
             Style[
             "Vector \!\(\*\nStyleBox[OverscriptBox[\"Oa\", \
\"\[RightVector]\"],\nFontSize->12]\)\!\(\*\nStyleBox[\"=\",\nFontSize->12]\)\
\!\(\*\nStyleBox[\"[\",\nFontSize->12]\)\!\(\*SubscriptBox[\n StyleBox[\"a\",\
\nFontSize->12], \"x\"]\) \!\(\*SubscriptBox[\(a\), \(y\)]\) \
\!\(\*SubscriptBox[\(a\), \(z\)]\)\!\(\*\nStyleBox[\"]\",\nFontSize->12]\)", 
              GrayLevel[0], 12]]}, Alignment -> Left]}, {
          Manipulate`Place[3]}, {
          Manipulate`Place[4]}, {
          Manipulate`Place[5]}, {
          Manipulate`Place[6]}, {
          Row[{
            Text[
             Style[
             "Vector \!\(\*\nStyleBox[OverscriptBox[\"r\", \
\"\[RightVector]\"],\nFontSize->12]\)\!\(\*\nStyleBox[\"=\",\nFontSize->12]\)\
\!\(\*\nStyleBox[\"[\",\nFontSize->12]\)\!\(\*SubscriptBox[\n StyleBox[\"r\",\
\nFontSize->12], \"x\"]\) \!\(\*SubscriptBox[\(r\), \(y\)]\) \
\!\(\*SubscriptBox[\(r\), \(z\)]\)\!\(\*\nStyleBox[\"]\",\nFontSize->12]\)", 
              RGBColor[0, 
               Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
          Manipulate`Place[7]}, {
          Manipulate`Place[8]}, {
          Manipulate`Place[9]}, {
          Manipulate`Place[10]}, {
          Manipulate`Place[11]}, {
          Row[{
            Text[
             Style["Radius of Sphere [m]", 
              RGBColor[
               Rational[2, 3], 
               Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
          Manipulate`Place[12]}, {
          Row[{
            Text[
             Style[
             "Force \!\(\*\nStyleBox[OverscriptBox[\"F\", \
\"\[RightVector]\"],\nFontSize->12]\)\!\(\*\nStyleBox[\"=\",\nFontSize->12]\)\
\!\(\*\nStyleBox[\"[\",\nFontSize->12]\)\!\(\*SubscriptBox[\n StyleBox[\"F\",\
\nFontSize->12], \"x\"]\) \!\(\*SubscriptBox[\(F\), \(y\)]\) \
\!\(\*SubscriptBox[\(F\), \(z\)]\)\!\(\*\nStyleBox[\"]\",\nFontSize->12]\)", 
              RGBColor[1, 0, 0], 12]]}, Alignment -> Left]}, {
          Manipulate`Place[13]}, {
          Manipulate`Place[14]}, {
          Manipulate`Place[15]}, {
          Manipulate`Place[16]}, {
          Manipulate`Place[17]}, {
          Manipulate`Place[18]}}, Alignment -> Left, 
        Spacings -> {Automatic, 0.7}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {618., {355., 364.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`enlarge$2339$$ = 0, $CellContext`opa1$2340$$ = 
    False, $CellContext`xa$2341$$ = 0, $CellContext`ya$2342$$ = 
    0, $CellContext`za$2343$$ = 0, $CellContext`opa6$2344$$ = 
    False, $CellContext`xc$2345$$ = 0, $CellContext`yc$2346$$ = 
    0, $CellContext`zc$2347$$ = 0, $CellContext`opa2$2348$$ = 
    False, $CellContext`opa3$2349$$ = False, $CellContext`R$2350$$ = 
    0, $CellContext`xd$2351$$ = 0, $CellContext`yd$2352$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`enlarge$$ = 1, $CellContext`opa1$$ = 
        1, $CellContext`opa2$$ = 1, $CellContext`opa3$$ = 
        1, $CellContext`opa4$$ = 1, $CellContext`opa5$$ = 
        1, $CellContext`opa6$$ = 1, $CellContext`opa7$$ = 1, $CellContext`R$$ = 
        0.5, $CellContext`xa$$ = 2.5, $CellContext`xc$$ = 
        2, $CellContext`xd$$ = 0, $CellContext`ya$$ = 2.5, $CellContext`yc$$ = 
        0, $CellContext`yd$$ = 1.5, $CellContext`za$$ = 
        1.5, $CellContext`zc$$ = 1, $CellContext`zd$$ = 1.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`enlarge$$, $CellContext`enlarge$2339$$, 0], 
        Hold[$CellContext`opa1$$, $CellContext`opa1$2340$$, False], 
        Hold[$CellContext`xa$$, $CellContext`xa$2341$$, 0], 
        Hold[$CellContext`ya$$, $CellContext`ya$2342$$, 0], 
        Hold[$CellContext`za$$, $CellContext`za$2343$$, 0], 
        Hold[$CellContext`opa6$$, $CellContext`opa6$2344$$, False], 
        Hold[$CellContext`xc$$, $CellContext`xc$2345$$, 0], 
        Hold[$CellContext`yc$$, $CellContext`yc$2346$$, 0], 
        Hold[$CellContext`zc$$, $CellContext`zc$2347$$, 0], 
        Hold[$CellContext`opa2$$, $CellContext`opa2$2348$$, False], 
        Hold[$CellContext`opa3$$, $CellContext`opa3$2349$$, False], 
        Hold[$CellContext`R$$, $CellContext`R$2350$$, 0], 
        Hold[$CellContext`xd$$, $CellContext`xd$2351$$, 0], 
        Hold[$CellContext`yd$$, $CellContext`yd$2352$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`size$, $CellContext`t$, $CellContext`ts$, \
$CellContext`te$, $CellContext`rou$, $CellContext`F$, $CellContext`voc$, \
$CellContext`voa$, $CellContext`vcf$, $CellContext`vof$, $CellContext`vod$, \
$CellContext`vmo$, $CellContext`vuoa$, $CellContext`vmoa$, \
$CellContext`voca$, $CellContext`vofa$, $CellContext`voda$, $CellContext`po$, \
$CellContext`pc$, $CellContext`pd$, $CellContext`pa$, $CellContext`pmo$, \
$CellContext`pma$, $CellContext`vtoa$, $CellContext`poau$, \
$CellContext`poad$, $CellContext`poac$, $CellContext`poaf$, \
$CellContext`poamo$, $CellContext`voacc$, $CellContext`voaff$, \
$CellContext`voadd$, $CellContext`voamo$, $CellContext`loac$, \
$CellContext`loaf$, $CellContext`loam$, $CellContext`load$, $CellContext`i$, \
$CellContext`c$, $CellContext`fd$, $CellContext`a$, $CellContext`d$, \
$CellContext`b$, $CellContext`e$, $CellContext`f$, $CellContext`g$, \
$CellContext`h$, $CellContext`\[Gamma]$, $CellContext`Fi$, $CellContext`Fe$, \
$CellContext`Fd$, $CellContext`Fi1$, $CellContext`Fi2$, $CellContext`Me$, \
$CellContext`zn$, $CellContext`zt$, $CellContext`zr$, $CellContext`pn$, \
$CellContext`pt$, $CellContext`pr$, $CellContext`dwf0$, $CellContext`dwf1$, \
$CellContext`dwf2$, $CellContext`dwf3$, $CellContext`dwf4$, \
$CellContext`dwf5$, $CellContext`dwf6$, $CellContext`dwf7$, \
$CellContext`dwf8$, $CellContext`dwf9$, $CellContext`dwf10$, \
$CellContext`dwf11$, $CellContext`dwf12$, $CellContext`dw1$, \
$CellContext`labela$, $CellContext`labelb$}, $CellContext`size$ = 
         5 $CellContext`enlarge$$; $CellContext`ts$ = 0; $CellContext`te$ = 
         15; $CellContext`rou$ = 
         1; $CellContext`po$ = {0, 0, 
          0}; $CellContext`pc$ = {$CellContext`xc$$, $CellContext`yc$$, \
$CellContext`zc$$}; $CellContext`pd$ = {$CellContext`xd$$, $CellContext`yd$$, \
$CellContext`zd$$}; $CellContext`pa$ = {$CellContext`xa$$, $CellContext`ya$$, \
$CellContext`za$$}; $CellContext`vof$ = $CellContext`pd$; $CellContext`F$ = 
         Norm[$CellContext`pd$]; $CellContext`voc$ = $CellContext`pc$; \
$CellContext`voa$ = $CellContext`pa$; $CellContext`vcf$ = $CellContext`voc$ + \
$CellContext`vof$; $CellContext`vmo$ = 
         Cross[$CellContext`voc$, $CellContext`vof$]; $CellContext`vuoa$ = 
         Normalize[$CellContext`voa$]; $CellContext`vmoa$ = 
         Dot[$CellContext`vuoa$, $CellContext`vmo$] $CellContext`vuoa$; \
$CellContext`voca$ = 
         Dot[$CellContext`voc$, $CellContext`vuoa$] $CellContext`vuoa$; \
$CellContext`vofa$ = 
         Dot[$CellContext`vof$, $CellContext`vuoa$] $CellContext`vuoa$; \
$CellContext`pmo$ = $CellContext`po$ + $CellContext`vmo$; $CellContext`pma$ = \
$CellContext`po$ + $CellContext`vmoa$; $CellContext`vtoa$ = $CellContext`pma$ - \
$CellContext`pmo$; $CellContext`poau$ = $CellContext`po$ + $CellContext`voa$; \
$CellContext`poad$ = $CellContext`po$ - $CellContext`voa$; $CellContext`poac$ = \
$CellContext`po$ + $CellContext`voca$; $CellContext`poaf$ = $CellContext`po$ + \
$CellContext`vofa$; $CellContext`poamo$ = $CellContext`po$ + \
$CellContext`vmoa$; $CellContext`voacc$ = $CellContext`pc$ - \
$CellContext`poac$; $CellContext`voaff$ = $CellContext`vof$ - \
$CellContext`poaf$; $CellContext`voamo$ = $CellContext`pmo$ - \
$CellContext`poamo$; $CellContext`loac$ = 
         Norm[$CellContext`voacc$]; $CellContext`loaf$ = 
         Norm[$CellContext`voaff$]; $CellContext`loam$ = 
         Norm[$CellContext`voamo$]; $CellContext`i$ = (((($CellContext`rou$ (
               4/3)) Pi) ($CellContext`R$$^3 - (
              
              0.1 $CellContext`R$$)^3)) $CellContext`rou$) \
$CellContext`loac$^2; $CellContext`a$ = 
         Normalize[$CellContext`voacc$]; $CellContext`c$ = 
         Normalize[$CellContext`voaff$]; $CellContext`e$ = 
         Normalize[$CellContext`voamo$]; $CellContext`b$ = 
         Normalize[-
           Cross[$CellContext`a$, $CellContext`vmoa$]]; $CellContext`d$ = 
         Normalize[-
           Cross[$CellContext`c$, $CellContext`vmoa$]]; $CellContext`f$ = 
         Normalize[-
           Cross[$CellContext`e$, $CellContext`vmoa$]]; \
$CellContext`\[Gamma]$ = 
         NDSolveValue[{$CellContext`i$ 
             Derivative[2][$CellContext`\[Theta]][$CellContext`t$] == 
            Norm[$CellContext`vmoa$], $CellContext`\[Theta][0] == 0, 
            Derivative[1][$CellContext`\[Theta]][0] == 
            0}, $CellContext`\[Theta], {$CellContext`t$, $CellContext`ts$, \
$CellContext`te$}]; $CellContext`Fi$ = {
          Part[$CellContext`poac$, 1] + ($CellContext`loac$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`a$, 1] + ($CellContext`loac$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`b$, 1], 
           Part[$CellContext`poac$, 2] + ($CellContext`loac$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`a$, 2] + ($CellContext`loac$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`b$, 2], 
           Part[$CellContext`poac$, 3] + ($CellContext`loac$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`a$, 3] + ($CellContext`loac$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`b$, 3]}; $CellContext`Fe$ = {
          Part[$CellContext`poaf$, 1] + ($CellContext`loaf$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`c$, 1] + ($CellContext`loaf$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`d$, 1], 
           Part[$CellContext`poaf$, 2] + ($CellContext`loaf$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`c$, 2] + ($CellContext`loaf$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`d$, 2], 
           Part[$CellContext`poaf$, 3] + ($CellContext`loaf$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`c$, 3] + ($CellContext`loaf$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`d$, 3]}; $CellContext`Me$ = {
          Part[$CellContext`poamo$, 1] + ($CellContext`loam$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`e$, 1] + ($CellContext`loam$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`f$, 1], 
           Part[$CellContext`poamo$, 2] + ($CellContext`loam$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`e$, 2] + ($CellContext`loam$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`f$, 2], 
           Part[$CellContext`poamo$, 3] + ($CellContext`loam$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`e$, 3] + ($CellContext`loam$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`f$, 
              3]}; $CellContext`Fi1$ = {($CellContext`loac$ Cos[Pi/2]) 
            Part[$CellContext`a$, 1] + ($CellContext`loac$ Sin[Pi/2]) 
            Part[$CellContext`b$, 1], ($CellContext`loac$ Cos[Pi/2]) 
            Part[$CellContext`a$, 2] + ($CellContext`loac$ Sin[Pi/2]) 
            Part[$CellContext`b$, 2], ($CellContext`loac$ Cos[Pi/2]) 
            Part[$CellContext`a$, 3] + ($CellContext`loac$ Sin[Pi/2]) 
            Part[$CellContext`b$, 
              3]}; $CellContext`Fi2$ = {($CellContext`loac$ Cos[Pi/2 + Pi/10])
              Part[$CellContext`a$, 1] + ($CellContext`loac$ 
             Sin[Pi/2 + Pi/10]) 
            Part[$CellContext`b$, 1], ($CellContext`loac$ Cos[Pi/2 + Pi/10]) 
            Part[$CellContext`a$, 2] + ($CellContext`loac$ Sin[Pi/2 + Pi/10]) 
            Part[$CellContext`b$, 2], ($CellContext`loac$ Cos[Pi/2 + Pi/10]) 
            Part[$CellContext`a$, 3] + ($CellContext`loac$ Sin[Pi/2 + Pi/10]) 
            Part[$CellContext`b$, 3]}; $CellContext`zn$ = $CellContext`po$ + 
          0.2 ($CellContext`Me$ - $CellContext`po$); $CellContext`zt$ = \
$CellContext`po$ + 
          0.2 ($CellContext`Fi$ - $CellContext`po$); $CellContext`zr$ = \
$CellContext`po$ + 0.2 ($CellContext`Me$ - $CellContext`po$) + 
          0.2 ($CellContext`Fi$ - $CellContext`po$); $CellContext`pn$ = \
$CellContext`pma$ - 
          0.15 $CellContext`vmoa$; $CellContext`pt$ = $CellContext`pma$ + 
          0.15 ($CellContext`Me$ - $CellContext`pma$); $CellContext`pr$ = \
$CellContext`pma$ - 0.15 $CellContext`vmoa$ + 
          0.15 ($CellContext`Me$ - $CellContext`pma$); $CellContext`labela$ = 
         If[$CellContext`opa5$$ > 0, 
           Text[
            Style[
             
             Row[{"\!\(\*\nStyleBox[FormBox[SubscriptBox[OverscriptBox[\"M\", \
\"\[RightVector]\"], \"O\"],\n  TraditionalForm],\nFontSlant->\"Italic\"]\)  \
= ", 
               Norm[$CellContext`vmo$], 
               Spacer[5], 
               Normalize[$CellContext`vmo$]}], 12, Blue, 
             Thickness[0.1]]]]; $CellContext`labelb$ = 
         If[$CellContext`opa7$$ > 0, 
           Text[
            Style[
             
             Row[{"\!\(\*\nStyleBox[FormBox[SubscriptBox[OverscriptBox[\"M\", \
\"\[RightVector]\"], \"a\"],\n  TraditionalForm],\nFontSlant->\"Italic\"]\)\!\
\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)= ", 
               Norm[$CellContext`vmoa$], 
               Spacer[5], 
               Normalize[$CellContext`vmoa$]}], 12, Pink, 
             Thickness[0.1]]]]; $CellContext`dwf0$ = {
           Opacity[$CellContext`opa1$$], 
           Dashing[{}], 
           Thickness[0.0025], 
           Arrowheads[0.02], 
           Arrow[{{-$CellContext`size$, 0, 0}, {$CellContext`size$, 0, 0}}], 
           Arrow[{{0, -$CellContext`size$, 0}, {0, $CellContext`size$, 0}}], 
           Arrow[{{0, 0, -$CellContext`size$}, {0, 0, $CellContext`size$}}], 
           Text[
           "\!\(\*\nStyleBox[\"x\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {
            1.1 $CellContext`size$, (-0.05) $CellContext`size$, (-0.05) \
$CellContext`size$}], 
           Text[
           "\!\(\*\nStyleBox[\"y\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$, 
             1.1 $CellContext`size$, 0.05 $CellContext`size$}], 
           Text[
           "\!\(\*\nStyleBox[\"z\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$, (-0.05) \
$CellContext`size$, 1.1 $CellContext`size$}]}; $CellContext`dwf1$ = {Black, 
           PointSize[0.015], 
           Point[$CellContext`po$], 
           Text[
            Style["O", 12, Bold], {0, 0, -0.5}]}; $CellContext`dwf2$ = {
           Opacity[$CellContext`opa2$$], 
           Darker[Green], 
           Thickness[0.007], 
           Arrowheads[0.03], 
           Arrow[{$CellContext`po$, $CellContext`Fi$}], 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", 12, Bold], {
            Part[$CellContext`Fi$, 1] - 1, 
             Part[$CellContext`Fi$, 2], Part[$CellContext`Fi$, 3] - 
             1}]}; $CellContext`dwf3$ = {
           Opacity[$CellContext`opa3$$ 0.5], Yellow, 
           
           SphericalShell[$CellContext`Fi$, {$CellContext`R$$ 
             0.1, $CellContext`R$$}]}; $CellContext`dwf4$ = {
           Opacity[$CellContext`opa4$$], Red, 
           Thickness[0.007], 
           Arrowheads[0.03], 
           Arrow[{$CellContext`Fi$, $CellContext`Fi$ + $CellContext`Fe$}], 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(F\), \(\[RightVector]\)]\)", 12, Bold], {
            Part[$CellContext`Fi$, 1] + Part[$CellContext`Fe$, 1] + 0.5, 
             Part[$CellContext`Fi$, 2] + Part[$CellContext`Fe$, 2], 
             Part[$CellContext`Fi$, 3] + 
             Part[$CellContext`Fe$, 3]}]}; $CellContext`dwf5$ = {
           Opacity[(0.5 $CellContext`opa4$$) $CellContext`opa2$$], Cyan, 
           
           Triangle[{$CellContext`po$, $CellContext`Fi$, $CellContext`Fi$ + \
$CellContext`Fe$}]}; $CellContext`dwf6$ = {
           Opacity[$CellContext`opa5$$], Blue, 
           Thickness[0.007], 
           Arrowheads[0.03], 
           Arrow[{$CellContext`po$, $CellContext`Me$}], 
           Text[
            Style[
            "\!\(TraditionalForm\`\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(O\)]\)", 12, Bold], {
             Part[$CellContext`Me$, 1], 
             Part[$CellContext`Me$, 2], Part[$CellContext`Me$, 3] + 
             0.5}]}; $CellContext`dwf7$ = {
           Opacity[$CellContext`opa6$$], Black, 
           Thickness[0.005], 
           Dashing[0.01], 
           Line[{$CellContext`poau$, $CellContext`poad$}], 
           Point[$CellContext`pa$], 
           Text[
            Style["a", 12, Bold], {
             Part[$CellContext`pa$, 1], 
             Part[$CellContext`pa$, 2], Part[$CellContext`pa$, 3] - 
             0.5}]}; $CellContext`dwf8$ = {
           Opacity[$CellContext`opa7$$], 
           Darker[Pink], 
           Thickness[0.007], 
           Arrowheads[0.03], 
           Arrow[{$CellContext`po$, $CellContext`po$ + $CellContext`vmoa$}], 
           Text[
            Style[
            "\!\(TraditionalForm\`\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(a\)]\)", 12, Bold], {Part[$CellContext`vmoa$, 1] - 0.5, 
             Part[$CellContext`vmoa$, 2], 
             Part[$CellContext`vmoa$, 3]}], Magenta, 
           Arrowheads[0.045], 
           
           Cone[{$CellContext`po$ + 
             0.705 $CellContext`vmoa$ + (
               Normalize[$CellContext`Fi1$ - $CellContext`po$] 0.3) 
              Norm[$CellContext`vmoa$], $CellContext`po$ + 
             0.705 $CellContext`vmoa$ + (
               Normalize[$CellContext`Fi2$ - $CellContext`po$] 0.3) 
              Norm[$CellContext`vmoa$]}, 0.08 
            Norm[$CellContext`vmoa$]]}; $CellContext`dwf9$ = {
           Opacity[(0.5 $CellContext`opa7$$) $CellContext`opa5$$], Green, 
           
           Triangle[{$CellContext`po$, $CellContext`Me$, $CellContext`pma$}]}; \
$CellContext`dwf10$ = {
           Opacity[$CellContext`opa7$$ $CellContext`opa5$$], Black, 
           Thickness[0.005], 
           Line[{$CellContext`pn$, $CellContext`pr$}], 
           Line[{$CellContext`pt$, $CellContext`pr$}]}; $CellContext`dwf11$ = {
           Opacity[$CellContext`opa2$$ $CellContext`opa5$$], Black, 
           Thickness[0.005], 
           Line[{$CellContext`zn$, $CellContext`zr$}], 
           Line[{$CellContext`zt$, $CellContext`zr$}]}; $CellContext`dwf12$ = {
           Opacity[$CellContext`opa7$$ 0.], Pink, 
           
           Cylinder[{$CellContext`po$ + 
             0.7 $CellContext`vmoa$, $CellContext`po$ + 
             0.71 $CellContext`vmoa$}, 0.3 
            Norm[$CellContext`vmoa$]]}; $CellContext`dw1$ = 
         Graphics3D[{$CellContext`dwf0$, $CellContext`dwf1$, \
$CellContext`dwf2$, $CellContext`dwf3$, $CellContext`dwf4$, 
            
            EdgeForm[], $CellContext`dwf5$, $CellContext`dwf6$, \
$CellContext`dwf7$, $CellContext`dwf8$, $CellContext`dwf9$, \
$CellContext`dwf10$, $CellContext`dwf11$, 
            EdgeForm[
             Directive[Thick, Magenta, 
              Opacity[$CellContext`opa7$$]]], $CellContext`dwf12$}, PlotRange -> 
           1.05 $CellContext`size$, Boxed -> False, 
           ViewPoint -> {
            0.5 $CellContext`size$, -$CellContext`size$, 
             0.5 $CellContext`size$}, PlotLabel -> 
           Pane[$CellContext`labelb$, Alignment -> Left, ImageSize -> 
             300]]; $CellContext`an = Animate[
           Evaluate[
            
            ReplaceAll[$CellContext`dw1$, {$CellContext`t$ -> \
$CellContext`time}]], {{$CellContext`time, $CellContext`ts$, 
             "t"}, $CellContext`ts$, $CellContext`te$}, 
           DefaultDuration -> $CellContext`te$, AnimationRunning -> False, 
           ImageMargins -> Small]; $CellContext`an], 
      "Specifications" :> {{{$CellContext`enlarge$$, 1, "Plot Range"}, {1, 2, 
         3, 4}, ImageSize -> Tiny, ControlType -> Setter, ControlPlacement -> 
         1}, {{$CellContext`opa1$$, 1, 
          Row[{"Coordinates visibility", 
            Spacer[20]}]}, {1 -> "On", 0 -> "off"}, ControlType -> 
         RadioButton, ControlPlacement -> 2}, {{$CellContext`xa$$, 2.5, 
          Style[
           Subscript[$CellContext`a, $CellContext`x], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         3}, {{$CellContext`ya$$, 2.5, 
          Style[
           Subscript[$CellContext`a, $CellContext`y], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         4}, {{$CellContext`za$$, 1.5, 
          Style[
           Subscript[$CellContext`a, $CellContext`z], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         5}, {{$CellContext`opa6$$, 1, 
          Text[
           Style[
            
            Row[{"Show Axis \!\(\*\nStyleBox[OverscriptBox[\"Oa\", \"\
\[RightVector]\"],\nFontSize->12]\)", 
              Spacer[55]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 6}, {{$CellContext`xc$$, 2, 
          Style[
           Subscript[$CellContext`r, $CellContext`x], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         7}, {{$CellContext`yc$$, 0, 
          Style[
           Subscript[$CellContext`r, $CellContext`y], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         8}, {{$CellContext`zc$$, 1, 
          Style[
           Subscript[$CellContext`r, $CellContext`z], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         9}, {{$CellContext`opa2$$, 1, 
          Text[
           Style[
            
            Row[{"Show Vector \!\(\*OverscriptBox[\(r\), \
\(\[RightVector]\)]\)", 
              Spacer[48]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 10}, {{$CellContext`opa3$$, 1, 
          Text[
           Style[
            Row[{"Show Sphere", 
              Spacer[57]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 11}, {{$CellContext`R$$, 0.5}, 
         0.0001, 3, ImageSize -> Small, Appearance -> "Labeled", 
         ControlPlacement -> 12}, {{$CellContext`xd$$, 0, 
          Style[
           Subscript[$CellContext`F, $CellContext`x], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         13}, {{$CellContext`yd$$, 1.5, 
          Style[
           Subscript[$CellContext`F, $CellContext`y], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         14}, {{$CellContext`zd$$, 1.5, 
          Style[
           Subscript[$CellContext`F, $CellContext`z], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         15}, {{$CellContext`opa4$$, 1, 
          Text[
           Style[
            
            Row[{"Show Force \!\(\*OverscriptBox[\(F\), \
\(\[RightVector]\)]\)", 
              Spacer[50]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 16}, {{$CellContext`opa5$$, 1, 
          Text[
           Style[
            
            Row[{"Show Moment \!\(\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(O\)]\)", 
              Spacer[28]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 17}, {{$CellContext`opa7$$, 1, 
          Text[
           Style[
            
            Row[{"Show Moment \!\(\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(a\)]\)", 
              Spacer[30]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 18}, 
        Grid[{{
           Manipulate`Place[1]}, {
           Manipulate`Place[2]}, {
           Row[{
             Text[
              Style[
              "Vector \!\(\*\nStyleBox[OverscriptBox[\"Oa\", \"\[RightVector]\
\"],\nFontSize->12]\)\!\(\*\nStyleBox[\"=\",\nFontSize->12]\)\!\(\*\n\
StyleBox[\"[\",\nFontSize->12]\)\!\(\*SubscriptBox[\n StyleBox[\"a\",\n\
FontSize->12], \"x\"]\) \!\(\*SubscriptBox[\(a\), \(y\)]\) \
\!\(\*SubscriptBox[\(a\), \(z\)]\)\!\(\*\nStyleBox[\"]\",\nFontSize->12]\)", 
               GrayLevel[0], 12]]}, Alignment -> Left]}, {
           Manipulate`Place[3]}, {
           Manipulate`Place[4]}, {
           Manipulate`Place[5]}, {
           Manipulate`Place[6]}, {
           Row[{
             Text[
              Style[
              "Vector \!\(\*\nStyleBox[OverscriptBox[\"r\", \
\"\[RightVector]\"],\nFontSize->12]\)\!\(\*\nStyleBox[\"=\",\nFontSize->12]\)\
\!\(\*\nStyleBox[\"[\",\nFontSize->12]\)\!\(\*SubscriptBox[\n StyleBox[\"r\",\
\nFontSize->12], \"x\"]\) \!\(\*SubscriptBox[\(r\), \(y\)]\) \
\!\(\*SubscriptBox[\(r\), \(z\)]\)\!\(\*\nStyleBox[\"]\",\nFontSize->12]\)", 
               RGBColor[0, 
                Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
           Manipulate`Place[7]}, {
           Manipulate`Place[8]}, {
           Manipulate`Place[9]}, {
           Manipulate`Place[10]}, {
           Manipulate`Place[11]}, {
           Row[{
             Text[
              Style["Radius of Sphere [m]", 
               RGBColor[
                Rational[2, 3], 
                Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
           Manipulate`Place[12]}, {
           Row[{
             Text[
              Style[
              "Force \!\(\*\nStyleBox[OverscriptBox[\"F\", \
\"\[RightVector]\"],\nFontSize->12]\)\!\(\*\nStyleBox[\"=\",\nFontSize->12]\)\
\!\(\*\nStyleBox[\"[\",\nFontSize->12]\)\!\(\*SubscriptBox[\n StyleBox[\"F\",\
\nFontSize->12], \"x\"]\) \!\(\*SubscriptBox[\(F\), \(y\)]\) \
\!\(\*SubscriptBox[\(F\), \(z\)]\)\!\(\*\nStyleBox[\"]\",\nFontSize->12]\)", 
               RGBColor[1, 0, 0], 12]]}, Alignment -> Left]}, {
           Manipulate`Place[13]}, {
           Manipulate`Place[14]}, {
           Manipulate`Place[15]}, {
           Manipulate`Place[16]}, {
           Manipulate`Place[17]}, {
           Manipulate`Place[18]}}, Alignment -> Left, 
         Spacings -> {Automatic, 0.7}]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{1010., {463., 472.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center,
 ExpressionUUID -> "332e02cf-61d4-444e-b78f-b1fc9dad5d9f"]
},
WindowSize->{1920, 997},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.5 Inherited,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1464, 33, 367, 10, 203, "Text"],
Cell[1834, 45, 134, 1, 45, "Text"],
Cell[1971, 48, 2145, 70, 115, "Text"],
Cell[4119, 120, 1125, 32, 84, "Text"],
Cell[5247, 154, 31215, 626, 959, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature OxTAnnReGbVsiDw@UvuaV8em *)
